# sc::BEMSolventH Class Reference

Inheritance diagram for sc::BEMSolventH:

List of all members.

## Public Member Functions

| BEMSolventH (StateIn &)
| BEMSolventH (const Ref< KeyVal > &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | init (const Ref< Wavefunction > &)
void | accum (const RefSymmSCMatrix &h)
void | done ()
void | print_summary ()
double | e ()

## Member Function Documentation

void sc::BEMSolventH::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::AccumH.

The documentation for this class was generated from the following file:

- solvent.h